package cn.iocoder.yudao.module.system.enums.robot.remote;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum RemoteOperationModeEnum {

    AUTO("AUTO","自动控制车辆"),
    MAN("MAN","手动控制车辆");
    /**
     * 类型
     */
    private final String type;

    private final String msg;

    public static String getType(Integer remoteMode) {
        if (RemoteModeEnum.AUTOMATIC.getType().equals(remoteMode)) {
            return AUTO.getType();
        }
        return MAN.getType();
    }
}
